import * as plugins from '../plugins.js';
import * as appstate from '../appstate.js';
import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
export declare class ObViewRegistries extends DeesElement {
    accessor registriesState: appstate.IRegistriesState;
    accessor currentTab: 'onebox' | 'external';
    constructor();
    static styles: plugins.deesElement.CSSResult[];
    connectedCallback(): Promise<void>;
    render(): TemplateResult;
    private renderOneboxView;
    private renderExternalView;
}
